<script lang="ts">
    import Dialog, { Title, Content, Actions } from "@smui/dialog";
    import Button, { Label } from "@smui/button";
    import OptionInput from "./OptionInput.svelte";

    export let open: boolean;
    export let name: string;
    export let description: string;
    export let placeholder: string;
    export let type: string; //TODO:use
    export let value: string;
    export let updateOption: (value?: string) => void;

    function updateAndClose() {
        updateOption(value);
        open = false;
    }
</script>

<Dialog bind:open>
    <Title id="simple-title">Option: {name}</Title>
    <Content id="simple-content">
        <OptionInput
            description={`${description} (${type})`}
            bind:value
            label={name}
            {placeholder}
            enterAction={updateAndClose}
        />
    </Content>
    <Actions>
        <Button on:click={() => updateOption()}>
            <Label>Reset</Label>
        </Button>
        <Button on:click={() => updateOption(value)}>
            <Label>Update</Label>
        </Button>
    </Actions>
</Dialog>
